Announcement

Collapse
No announcement yet.

AMD Releases Radeon ROCm 5.3.3

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • AMD Releases Radeon ROCm 5.3.3

    Phoronix: AMD Releases Radeon ROCm 5.3.3

    AMD has been putting out a number of ROCm compute stack point releases recently with ROCm 5.3.3 having been the latest to premiere on Thursday...

    https://www.phoronix.com/news/AMD-Radeon-ROCm-5.3.3

  • #2
    Is there RDNA support at all?

    RDNA2 support is limited to the 6800 workstation and maybe 6800/6900 desktop cards which are NAVI21 i.e. gfx1030, there's NO support for 6700 which is a NAVI22 i.e. gfx 1031 card or any RDNA2 mobile card including the 6800M, 6700M both are also NAVI22 i.e. gfx1031 cards or the 6600M which is a NAVI23 i.e. gfx 1032 card.

    There's some linux community work ongoing but overall it's a frustrating situation not to be able to make real use of most of the cards.​

    Comment


    • #3
      Originally posted by HPCtech View Post
      ... there's NO support for 6700 which is a NAVI22 i.e. gfx 1031 card ...​
      Apparently it's possible to run ROCm with stable diffusion on RX 6700. See https://www.videogames.ai/2022/11/06...OCm-Linux.html
      Would like to run stable diffusion on a 7000 series card when they release next month.
      According to Saad Rahim we might be "pleasantly surprised" with ROCm support for the 7000 series. https://github.com/RadeonOpenCompute/ROCm/issues/1776

      Comment


      • #4
        Originally posted by HPCtech View Post
        RDNA2 support is limited to the 6800 workstation and maybe 6800/6900 desktop cards which are NAVI21 i.e. gfx1030, there's NO support for 6700 which is a NAVI22 i.e. gfx 1031 card or any RDNA2 mobile card including the 6800M, 6700M both are also NAVI22 i.e. gfx1031 cards or the 6600M which is a NAVI23 i.e. gfx 1032 card.​
        That is what they officially support, yes.

        But unofficially you can force it to run on any NAVI card with
        Code:
        export HSA_OVERRIDE_GFX_VERSION=10.3.0
        I've run stable diffusion on RX 5500 XT and RX 6700 cards like that.

        Comment

        Working...
        X